(function (lib, img, cjs) {

var p; // shortcut to reference prototypes

// stage content:
(lib.hiraganaBE = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer 1 copy 2
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#CCCCCC").s().p("AgqgkQAGgQAKAKQAmAnAfADQgEAYgHAXQhBgrgJgog");
	this.shape.setTransform(17.4,76.9);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#CCCCCC").s().p("AAgA0Qhjg0gLg0QAFgQALALQA+A+AqgZIANgKQAYAqAAAeQAAAIgCAKQgGACgHAAQgOAAgSgKg");
	this.shape_1.setTransform(21,78.5);

	this.shape_2 = new cjs.Shape();
	this.shape_2.graphics.f("#CCCCCC").s().p("AgFA7Qhkg1gLgzQAFgQALALQBAA+AogZQAWgPArgpIAIAEQAVAOATAPQgoAzgPAcQgNAbgXAAQgOAAgRgLg");
	this.shape_2.setTransform(24.9,77.8);

	this.shape_3 = new cjs.Shape();
	this.shape_3.graphics.f("#CCCCCC").s().p("AgZBZQhlg1gLgzQAGgQAKALQBAA+ArgbQAegTBKhLIAUgUIAcArQhLBYgVApQgNAbgXAAQgMAAgTgLg");
	this.shape_3.setTransform(26.9,74.8);

	this.shape_4 = new cjs.Shape();
	this.shape_4.graphics.f("#CCCCCC").s().p("AgpBpQhlg1gLg0QAGgPAKAKQBAA+ArgbQAegVBKhIIAygzQARARANARIgbAhQhQBdgVArQgNAagVAAQgPAAgSgKg");
	this.shape_4.setTransform(28.5,73.2);

	this.shape_5 = new cjs.Shape();
	this.shape_5.graphics.f("#CCCCCC").s().p("AhDCEQhkg1gLg1QAFgQALALQBABAAqgbQAggVBIhJIBqhpQAOANALAQQgbAegzA+QhPBegWAqQgLAagXAAQgOAAgTgKg");
	this.shape_5.setTransform(31.1,70.5);

	this.shape_6 = new cjs.Shape();
	this.shape_6.graphics.f("#CCCCCC").s().p("AiVCiQhlg1gLg1QAFgQALAKQBABAAqgbQAggVBLhIIB4h6QArgrBFAAQATAAAWAGQAPAbAGAWQglgSgfAAQgwAAggAgQgaAbhFBTQhOBfgVArQgNAagXAAQgPAAgSgKg");
	this.shape_6.setTransform(39.3,67.5);

	this.shape_7 = new cjs.Shape();
	this.shape_7.graphics.f("#CCCCCC").s().p("AjPCiQhlg1gLg1QAGgQAKAKQBABAArgbQAggVBKhIIB4h6QArgrBFAAQAvAABAAlIBBAmIACA0IhIgvQhAgrgwAAQgvAAggAgQgbAbhDBTQhQBfgVArQgNAagXAAQgPAAgSgKg");
	this.shape_7.setTransform(45.1,67.5);

	this.shape_8 = new cjs.Shape();
	this.shape_8.graphics.f("#CCCCCC").s().p("Ak6CiQhkg1gLg1QAFgQALAKQBABAAqgbQAggVBKhIIB6h6QArgrBDAAQAvAABBAlQCGBQCSBIQgMAagQAcQh3hIiLhbQhAgrgvAAQguAAggAgQgbAbhFBTQhPBfgWArQgNAagXAAQgOAAgTgKg");
	this.shape_8.setTransform(55.8,67.5);

	this.shape_9 = new cjs.Shape();
	this.shape_9.graphics.f("#CCCCCC").s().p("AHqCzQjKhwkZi4Qg+gqgwAAQgvAAggAgQgbAahFBVQhQBegVAqQgVArgwgbQhlg1gLg1QAGgQAKALQBABAArgbQAggVBKhJIB6h6QArgqBFAAQAvAAA+AlQDqCKEKB4QAbANAWAJQgBANgEAKQgLAegVAXIgigSg");
	this.shape_9.setTransform(69.2,70.1);

	this.shape_10 = new cjs.Shape();
	this.shape_10.graphics.f("#CCCCCC").s().p("AI4DZQgggLhfg1QjKhvkYi4QhAgrgvAAQgwAAggAgQgbAbhFBVQhPBdgWArQgVAqgwgaQhkg1gLg1QAFgOALAJQBAA/AqgbQAggVBKhIIB6h6QArgrBFAAQAvAABBAlQDnCKEKB5QBFAgAgAFQAaAFALAlQALAmAAAKQAAAWgTAAQgKAAgOgGg");
	this.shape_10.setTransform(74.2,72.6);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[]}).to({state:[{t:this.shape}]},1).to({state:[{t:this.shape_1}]},1).to({state:[{t:this.shape_2}]},1).to({state:[{t:this.shape_3}]},1).to({state:[{t:this.shape_4}]},1).to({state:[{t:this.shape_5}]},1).to({state:[{t:this.shape_6}]},1).to({state:[{t:this.shape_7}]},1).to({state:[{t:this.shape_8}]},1).to({state:[{t:this.shape_9}]},1).to({state:[{t:this.shape_10}]},1).to({state:[{t:this.shape_10}]},11).wait(1));

	// Layer 3
	this.shape_11 = new cjs.Shape();
	this.shape_11.graphics.f("#CCCCCC").s().p("AgegFQgLgQAQAFQAeAGAeAKQgLAHgPAIIgFADQgPgNgTgKg");
	this.shape_11.setTransform(93.5,36.4);

	this.shape_12 = new cjs.Shape();
	this.shape_12.graphics.f("#CCCCCC").s().p("AhFgjQgLgQAQAFQBMAOA/AoQgJAWgkARIgCABQgkgvg9gkg");
	this.shape_12.setTransform(97.4,39.4);

	this.shape_13 = new cjs.Shape();
	this.shape_13.graphics.f("#CCCCCC").s().p("AAuBQIAAgBQgmhThjg/QgKgQAQAFQBYAQBFA1QAOAKAKAOQAAAagDALQgJAcgeAAIgIAAg");
	this.shape_13.setTransform(99.6,42.6);

	this.shape_14 = new cjs.Shape();
	this.shape_14.graphics.f("#CCCCCC").s().p("AAjBBQgjhThlg/QgLgQAQAFQBbAQBDA1QAgAZAKAlQALAqggALQgHACgGAAQgWAAgNgdg");
	this.shape_14.setTransform(100.6,44);

	this.shape_15 = new cjs.Shape();
	this.shape_15.graphics.f("#CCCCCC").s().p("AAjBuQgjhVhlg9QgLgQAQAFQBbAQBDAzQAgAbAKAlQALAqggALQgHADgGAAQgWAAgNgegAAjh/QgLgQAQAGQAeAFAbAJQgKALgRAJQgQgMgTgMg");
	this.shape_15.setTransform(100.6,39.5);

	this.shape_16 = new cjs.Shape();
	this.shape_16.graphics.f("#CCCCCC").s().p("AAABuQglhVhlg9QgLgQAQAFQBbAQBDAzQAgAbAKAlQALAqggALQgHADgGAAQgWAAgLgegAAAh/QgLgQAOAGQBPAOA+ApQgNATgZAPIgOABQglgsg3gkg");
	this.shape_16.setTransform(104.3,39.5);

	this.shape_17 = new cjs.Shape();
	this.shape_17.graphics.f("#CCCCCC").s().p("AgbBuQglhVhlg9QgLgQAQAFQBbAQBFAzQAeAbAKAlQALAqggALQgHADgGAAQgUAAgNgegAB3ADQgLgDgKAAQgnhHhWg4QgLgQAQAGQBZAQBFA1QAWATAMAYIgDAKQgMAYgTAAIgRgGg");
	this.shape_17.setTransform(107,39.5);

	this.shape_18 = new cjs.Shape();
	this.shape_18.graphics.f("#CCCCCC").s().p("AggBuQglhVhlg9QgLgQAQAFQBbAQBFAzQAeAbAKAlQALAqggALQgHADgHAAQgTAAgNgegABoAUQglhThjhAQgLgQAQAGQBZAQBFA1QAgAaAKAmQALAoggALQgHACgGAAQgXAAgMgdg");
	this.shape_18.setTransform(107.5,39.5);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[]}).to({state:[]},12).to({state:[{t:this.shape_11}]},1).to({state:[{t:this.shape_12}]},1).to({state:[{t:this.shape_13}]},1).to({state:[{t:this.shape_14}]},1).to({state:[{t:this.shape_15}]},3).to({state:[{t:this.shape_16}]},1).to({state:[{t:this.shape_17}]},1).to({state:[{t:this.shape_18}]},1).wait(1));

	// Layer 2
	this.shape_19 = new cjs.Shape();
	this.shape_19.graphics.f("#666666").s().p("AggBuQglhVhlg9QgLgQAQAFQBbAQBFAzQAeAbAKAlQALAqggALQgHADgHAAQgTAAgNgegABoAUQglhThjhAQgLgQAQAGQBZAQBFA1QAgAaAKAmQALAoggALQgHACgGAAQgXAAgMgdg");
	this.shape_19.setTransform(107.5,39.5);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_19}]}).to({state:[{t:this.shape_19}]},12).to({state:[{t:this.shape_19}]},9).wait(2));

	// Layer 1 copy
	this.shape_20 = new cjs.Shape();
	this.shape_20.graphics.f("#666666").s().p("AI4DZQgggLhfg1QjKhvkYi4QhAgrgvAAQgwAAggAgQgbAbhFBVQhPBdgWArQgVAqgwgaQhkg1gLg1QAFgOALAJQBAA/AqgbQAggVBKhIIB6h6QArgrBFAAQAvAABBAlQDnCKEKB5QBFAgAgAFQAaAFALAlQALAmAAAKQAAAWgTAAQgKAAgOgGg");
	this.shape_20.setTransform(74.2,72.6);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_20}]}).wait(23));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(13.1,25.5,122.2,69.5);


// symbols:
(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,320,240);

})(lib = lib||{}, images = images||{}, createjs = createjs||{});
var lib, images, createjs;